Summary: japanized tkmail4.0
Name: jp-tkmail
Version: 4.0beta9
Release: 2C
Source0: ftp://ftp.slac.stanford.edu/software/TkMail/BETA/tkmail-4.0beta9.tar.gz
Source1: http://www-jlc.kek.jp/~fujiik/mklinux/Packages/dr2.1/shared/tkmail/SOURCES/tkmail-bitmaps.tar.gz
Copyright: distributable
Group: Applications/Mail
Patch0: ftp://ftp.slac.stanford.edu/software/TkMail/BETA/tkmail-4.0beta9.BUGFIX
Patch1: http://www-jlc.kek.jp/~fujiik/mklinux/Packages/dr2.1/shared/tkmail/SOURCES/tkmail-4.0beta9p1-jp0.2.patch
Patch2: http://www-jlc.kek.jp/~fujiik/mklinux/Packages/dr2.1/shared/tkmail/SOURCES/tkmail-4.0beta9jp-mklinux.patch
BuildRoot: /tmp/tkmailroot

%description
   TkMail is an X windows interface to mail originally built using Tcl/Tk
   by Paul Raines. The package has been japanized to allow iso-2022-jp
   encoding and decoding in from and subject fields and to enable japanese
   text editing in the composer window using kinput2 by K.Fujii.
   Reading, sending, and managing mail messages can almost all be done
   using only the mouse (except for the body of the message, of course).
   TkMail writes its folders in the format of the standard unix 'Mail'
   command.  It also uses 'sendmail' commands to do the mail delivery
   work.

%prep

%setup -T -c -a 0
%setup -T -D -a 1

mv bitmaps tkmail-4.0beta9
cd tkmail-4.0beta9

%patch0 -p1
%patch1 -p1

%ifarch ppc
%patch2 -p1
%endif

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/bin
mkdir -p $RPM_BUILD_ROOT/usr/local/lib
mkdir -p $RPM_BUILD_ROOT/usr/include/X11/bitmaps
mv BETANOTES README TODO ..

%build

#
# TKMAIL
#
cd tkmail-4.0beta9
./configure --prefix=/usr/local
make

%install
cd tkmail-4.0beta9
make INSTALL_ROOT=$RPM_BUILD_ROOT install
cp bitmaps/* $RPM_BUILD_ROOT/usr/include/X11/bitmaps
chown root:mail $RPM_BUILD_ROOT/usr/local/bin/dotlock
chmod g+s $RPM_BUILD_ROOT/usr/local/bin/dotlock

%clean
rm -rf $RPM_BUILD_ROOT


%files
%doc BETANOTES README TODO
%dir /usr/local/lib/tkmail4/
/usr/local/lib/tkmail4/altedit.tk
/usr/local/lib/tkmail4/compose.tk
/usr/local/lib/tkmail4/example.tkmail4rc
/usr/local/lib/tkmail4/fancylb.tk
/usr/local/lib/tkmail4/file.tcl
/usr/local/lib/tkmail4/help.txt
/usr/local/lib/tkmail4/ispell.tk
/usr/local/lib/tkmail4/list.xbm
/usr/local/lib/tkmail4/mail.tk
/usr/local/lib/tkmail4/mime.tk
/usr/local/lib/tkmail4/note.xbm
/usr/local/lib/tkmail4/options.tk
/usr/local/lib/tkmail4/options2.tk
/usr/local/lib/tkmail4/pen.xbm
/usr/local/lib/tkmail4/settings
/usr/local/lib/tkmail4/tclIndex
/usr/local/lib/tkmail4/utils.tk
/usr/local/lib/tkmail4/viewer.tcl
/usr/local/lib/tkmail4/tkbind
/usr/local/bin/dotlock
/usr/local/bin/mfv_wish
/usr/local/bin/tkmail4
/usr/include/X11/bitmaps/tkcompose.xbm
/usr/include/X11/bitmaps/tkmail.xbm
/usr/include/X11/bitmaps/tknewmail.xbm
